Skip to content

Get FHIR r4 specimens

Request

Security
bearer or bearer
Path
siteIdstringrequired

Site identifier

Query
_countnumber

Number of items to return (default=20).

Example:_count=10
_page_tokenstring

Token for fetching the next page of results.

Example:_page_token=CgYK...
_sortstring

Sort the results by a given field, e.g. _sort=family or _sort=-date.

Example:_sort=family
_elementsstring

Restrict returned fields, e.g. _elements=identifier,name.

Example:_elements=identifier,name
telecomstring

Filter by resource telecom, e.g. date=[SYSTEM]|[VALUE].

Example:telecom=telecom=phone|555-555-5555
_idstring

Search for a specific resource by ID, e.g. _id=abc123.

Example:_id=abc123
identifierstring

Search for resources by identifier token, e.g. identifier=http://hospital.org|12345.

Example:identifier=http://hospital.org|12345
_includeArray of strings

Include related resources, e.g. _include=Appointment:patient.

patientstring

Include related patient resources, e.g. patient=Patient/[id]&.

Example:patient=patient=Patient/[id]&
_revincludeArray of strings

Reverse include related resources, e.g. _revinclude=Observation:subject.

_hasstring

Reverse chaining, e.g. _has:Observation:subject:code=http://loinc.org|1234-5.

Example:_has=Observation:subject:code=http://loinc.org|1234-5
_tagstring

Search by tag on the resource meta, e.g. _tag=http://example.org/tags|sample-tag.

Example:_tag=http://example.org/tags|sample-tag
_securitystring

Search by security label on resource meta, e.g. _security=RBAC|CONFIDENTIAL.

Example:_security=RBAC|CONFIDENTIAL
_profilestring

Search by profile in resource meta, e.g. _profile=http://example.org/fhir/StructureDefinition/custom-profile.

Example:_profile=http://example.org/fhir/StructureDefinition/custom-profile
curl -i -X GET \
  'https://docs.axiomera.com/_mock/apis/fhir/openapi/site/{siteId}/fhir/specimen?_count=10&_page_token=CgYK...&_sort=family&_elements=identifier%2Cname&telecom=telecom%3Dphone%7C555-555-5555&_id=abc123&identifier=http%3A%2F%2Fhospital.org%7C12345&_include=string&patient=patient%3DPatient%2F%5Bid%5D%26&_revinclude=string&_has=Observation%3Asubject%3Acode%3Dhttp%3A%2F%2Floinc.org%7C1234-5&_tag=http%3A%2F%2Fexample.org%2Ftags%7Csample-tag&_security=RBAC%7CCONFIDENTIAL&_profile=http%3A%2F%2Fexample.org%2Ffhir%2FStructureDefinition%2Fcustom-profile' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Bodyapplication/json
resourceTypeanyrequired

This is a Bundle resource

Value:"Bundle"
Example:"Bundle"
idstring(id)^[A-Za-z0-9\-\.]{1,64}$

The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.

Example:"example-id"
metaobject(Meta)

The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.

implicitRulesstring(uri)^\S*$

A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.

Example:"https://example.org/resource"
_implicitRulesobject(Element)

Extensions for implicitRules

languagestring(code)^[^\s]+(\s[^\s]+)*$

The base language in which the resource is written.

Example:"sample-code"
_languageobject(Element)

Extensions for language

identifierobject(Identifier)

A persistent identifier for the bundle that won't change as a bundle is copied from server to server.

typeany

Indicates the purpose of this bundle - how it is intended to be used.

Enum:"document""message""transaction""transaction-response""batch""batch-response""history""searchset""collection"
Example:"document"
_typeobject(Element)

Extensions for type

timestampstring, (date-time)(instant)^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-...

The date/time that the bundle was assembled - i.e. when the resources were placed in the bundle.

Example:"2024-01-01T00:00:00Z"
_timestampobject(Element)

Extensions for timestamp

totalnumber(unsignedInt)^[0]|([1-9][0-9]*)$

If a set of search matches, this is the total number of entries of type 'match' across all pages in the search. It does not include search.mode = 'include' or 'outcome' entries and it does not provide a count of the number of entries in the Bundle.

Example:0
_totalobject(Element)

Extensions for total

entryArray of objects(Specimen)

An entry in a bundle resource - will either contain a resource or information about a resource (transactions and history only).

Example:
[ { "resourceType": "Specimen", "id": "101", "text": { … }, "contained": [ … ], "identifier": [ … ], "accessionIdentifier": { … }, "status": "available", "type": { … }, "subject": { … }, "receivedTime": "2011-03-04T07:03:00Z", "request": [ … ], "collection": { … }, "container": [ … ], "note": [ … ] } ]
signatureobject(Signature)

Digital Signature - base64 encoded. XML-DSig or a JWT.

Response
{ "resourceType": "Bundle", "type": "searchset", "total": 100, "link": [ { … }, { … }, { … }, { … } ], "entry": [ { … } ] }